## grive2 0.5+git20180819

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include(GNUInstallDirs)

# Grive version. remember to update it for every new release!
set( GRIVE_VERSION "0.5.1-dev" )

# common compile options
add_definitions( -DVERSION="${GRIVE_VERSION}" )
add_definitions( -D_FILE_OFFSET_BITS=64 -std=c++0x )

add_subdirectory( systemd )
add_subdirectory( libgrive )
add_subdirectory( grive )

=== grive/CMakeLists.txt ===
project( grive )

find_package(Boost COMPONENTS program_options REQUIRED)

include_directories(
	${grive_SOURCE_DIR}/../libgrive/src
	${OPT_INCS}
	${Boost_INCLUDE_DIRS}
)

file (GLOB GRIVE_EXE_SRC
	${grive_SOURCE_DIR}/src/*.cc
)

add_executable( grive_executable
	${GRIVE_EXE_SRC}
)

target_link_libraries( grive_executable
	grive
)

set_target_properties( grive_executable
	PROPERTIES OUTPUT_NAME grive
)

install(TARGETS grive_executable RUNTIME DESTINATION bin)

if ( ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" )
    install(FILES doc/grive.1 DESTINATION man/man1 )
else ( ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" )
    install(FILES doc/grive.1 DESTINATION share/man/man1 )
endif( ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" )

=== libgrive/CMakeLists.txt ===
project(libgrive)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(LibGcrypt REQUIRED)
find_package(CURL REQUIRED)
find_package(EXPAT REQUIRED)
find_package(Boost 1.40.0 COMPONENTS program_options filesystem unit_test_framework regex system REQUIRED)
find_package(BFD)
find_package(CppUnit)
find_package(Iberty)
find_package(ZLIB)

find_package(PkgConfig)
pkg_check_modules(YAJL REQUIRED yajl)

add_definitions(-Wall)

# additional headers if build unit tests
IF ( CPPUNIT_FOUND )
	set( OPT_INCS		${CPPUNIT_INCLUDE_DIR} )
ENDIF ( CPPUNIT_FOUND )

# build bfd classes if libbfd is found
if ( BFD_FOUND )
	set( OPT_LIBS	${DL_LIBRARY} ${BFD_LIBRARY} )
	file( GLOB OPT_SRC
		src/bfd/*.cc
	)
	add_definitions( -DHAVE_BFD )
	
endif ( BFD_FOUND )

if ( IBERTY_FOUND )
	set( OPT_LIBS	${OPT_LIBS}	${IBERTY_LIBRARY} )
else ( IBERTY_FOUND )
  set( IBERTY_LIBRARY "" )
endif ( IBERTY_FOUND )

if ( ZLIB_FOUND )
	set( OPT_LIBS	${OPT_LIBS}	${ZLIB_LIBRARIES} )
endif ( ZLIB_FOUND )

include_directories(
	${libgrive_SOURCE_DIR}/src
	${libgrive_SOURCE_DIR}/test
	${Boost_INCLUDE_DIRS}
	${OPT_INCS}
	${YAJL_INCLUDE_DIRS}
)

file (GLOB PROTOCOL_HEADERS
    ${libgrive_SOURCE_DIR}/src/protocol/*.hh
)

file (GLOB UTIL_HEADERS
    ${libgrive_SOURCE_DIR}/src/util/*.hh
)

file (GLOB XML_HEADERS
    ${libgrive_SOURCE_DIR}/src/xml/*.hh
)

file (GLOB LIBGRIVE_SRC
	src/base/*.cc
	src/drive2/*.cc
	src/http/*.cc
	src/protocol/*.cc
	src/json/*.cc
	src/util/*.cc
	src/util/log/*.cc
)

add_definitions(
	-DTEST_DATA="${libgrive_SOURCE_DIR}/test/data/"
	-DSRC_DIR="${libgrive_SOURCE_DIR}/src"
)

#add_library( grive SHARED ${LIBGRIVE_SRC} ${OPT_SRC} )
add_library( grive STATIC ${LIBGRIVE_SRC} ${OPT_SRC} )

target_link_libraries( grive
	${YAJL_LIBRARIES}
	${CURL_LIBRARIES}
	${LIBGCRYPT_LIBRARIES}
	${Boost_FILESYSTEM_LIBRARY}
	${Boost_PROGRAM_OPTIONS_LIBRARY}
	${Boost_REGEX_LIBRARY}
	${Boost_SYSTEM_LIBRARY}
	${IBERTY_LIBRARY}
	${EXPAT_LIBRARY}
	${OPT_LIBS}
)

#set_target_properties(grive PROPERTIES
#    SOVERSION 0 VERSION ${GRIVE_VERSION}
#)

#set_target_properties(grive grive-static PROPERTIES OUTPUT_NAME grive)

if ( LIB_INSTALL_DIR )
else()
	set ( LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib )
endif()

# don't install libgrive for now
#install(TARGETS grive LIBRARY DESTINATION ${LIB_INSTALL_DIR} )
#install(TARGETS grive ARCHIVE DESTINATION ${LIB_INSTALL_DIR} )
#install(FILES ${DRIVE_HEADERS} DESTINATION include/grive/drive)
#install(FILES ${PROTOCOL_HEADERS} DESTINATION include/grive/protocol)
#install(FILES ${UTIL_HEADERS} DESTINATION include/grive/util)
#install(FILES ${XML_HEADERS} DESTINATION include/grive/xml)

IF ( CPPUNIT_FOUND )
	message("-- Building unitary tests along with the library and the binary")
	set( OPT_INCS		${CPPUNIT_INCLUDE_DIR} )
    
    # list of test source files here
	file(GLOB TEST_SRC
		test/base/*.cc
		test/util/*.cc
	)

	add_executable( unittest
		test/UnitTest.cc
		${TEST_SRC}
	)

	target_link_libraries( unittest
		grive
		${CPPUNIT_LIBRARY}
	)
        
ENDIF ( CPPUNIT_FOUND )

file(GLOB BTEST_SRC
	test/btest/*.cc
)

add_executable( btest ${BTEST_SRC} )

target_link_libraries( btest
	grive
	${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
)

if ( ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-c++11-narrowing" )
endif ( ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" )

if ( WIN32 )
else ( WIN32 )
	set_target_properties( btest
		PROPERTIES COMPILE_FLAGS	 -DBOOST_TEST_DYN_LINK )
endif (WIN32)

=== debian/changelog ===
grive2 (0.5+git20180819-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add alternative B-D for libgcrypt20-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Jul 2019 13:57:52 -0700

grive2 (0.5+git20180819-1~mx17+1) mx; urgency=medium

  * New pull from git.
  * Fix up debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 16:07:20 -0800

grive2 (0.5+git20160125-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Bump to debhelper 9 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Dec 2017 12:29:07 -0800

grive2 (0.5+git20160125-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 02 Feb 2016 15:51:58 -0800

grive2 (0.5-1+git20160125~webupd8~trusty0) trusty; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Nov 2015 12:44:21 +0200

grive2 (0.4.1-1+git20151111~webupd8~precise0) precise; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Nov 2015 12:44:21 +0200

grive2 (0.4.1-1+git20151110~webupd8~wily0) wily; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Tue, 10 Nov 2015 12:44:21 +0200

grive2 (0.4.1-1+git20151103~webupd8~precise0) precise; urgency=medium

  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)

 -- Alin Andrei <webupd8@gmail.com>  Thu, 08 Oct 2015 11:50:55 +0200

grive2 (0.4.1-1+git20151008~webupd8~wily0) wily; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Thu, 08 Oct 2015 11:50:55 +0200

grive2 (0.4.1-1+git20151007~webupd8~wily0) wily; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Wed, 07 Oct 2015 13:46:29 +0200

grive2 (0.4.1-1+git20151001~webupd8~precise0) precise; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Thu, 01 Oct 2015 12:54:44 +0200

grive2 (0.4.0-1+git20150928~webupd8~wily1) wily; urgency=medium
 
  * new git pull
  * build-depend on libboost-regex-dev
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Mon, 28 Sep 2015 11:36:19 +0200

grive2 (0.4.0-1+git20150810~webupd8~wily0) wily; urgency=medium
 
  * upload for Wily
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Sat, 04 Jul 2015 12:26:14 +0200

grive2 (0.4.0-1+git20150810~webupd8~vivid0) vivid; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Sat, 04 Jul 2015 12:26:14 +0200

grive2 (0.4.0-1+git20150629~webupd8~vivid0) vivid; urgency=medium
 
  * new git pull
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Mon, 29 Jun 2015 12:27:21 +0200

grive2 (0.4.0-1~webupd8~precise3) precise; urgency=medium
 
  * Initial packaging (based on grive)
  * For Precise and Trusty only: use libgcrypt11 instead of libgcrypt20 
    because libcurl4-openssl-dev depends on it (and for Precise, 
    there's no libgcrypt20)
  
 -- Alin Andrei <webupd8@gmail.com>  Mon, 25 May 2015 15:31:24 +0200

=== debian/control ===
Source: grive2
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper (>= 9),
 cmake,
 pkg-config,
 zlib1g-dev,
 libcppunit-dev,
 libcurl4-openssl-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-test-dev,
 libboost-regex-dev,
 libexpat1-dev,
 binutils-dev,
 libgcrypt11-dev | libgcrypt20-dev,
 libyajl-dev
Standards-Version: 3.9.8
Homepage: https://yourcmc.ru/wiki/Grive2

Package: grive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open source Linux client for Google Drive
 .
 This is the up-to-date fork of the original "Grive" 
 (https://github.com/Grive/grive) 
 Google Drive client with the support for the new Drive REST API and partial 
 sync.
 .
 For the first time running grive, you should use the "-a" argument to grant
 permission to grive to access to your Google Drive. An URL should be printed.
 Go to the page. You will need to login to your google account if you haven't
 done so. After granting the permission to grive, the browser will show you
 an authenication code. Copy-and-paste that to the standard input of grive.
 If everything works fine, grive will create .grive and .grive_state inside the
 synchronized directory. It will also start downloading files from your Google
 Drive to that directory.

## grive2 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include(GNUInstallDirs)
 
 # Grive version. remember to update it for every new release!
-set( GRIVE_VERSION "0.5.1-dev" )
+set( GRIVE_VERSION "0.5.1" )
 
 # common compile options
 add_definitions( -DVERSION="${GRIVE_VERSION}" )

=== libgrive/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,10 @@
 
 find_package(LibGcrypt REQUIRED)
 find_package(CURL REQUIRED)
-find_package(EXPAT REQUIRED)
 find_package(Boost 1.40.0 COMPONENTS program_options filesystem unit_test_framework regex system REQUIRED)
 find_package(BFD)
 find_package(CppUnit)
 find_package(Iberty)
-find_package(ZLIB)
 
 find_package(PkgConfig)
 pkg_check_modules(YAJL REQUIRED yajl)
@@ -36,10 +34,6 @@
 else ( IBERTY_FOUND )
   set( IBERTY_LIBRARY "" )
 endif ( IBERTY_FOUND )
-
-if ( ZLIB_FOUND )
-	set( OPT_LIBS	${OPT_LIBS}	${ZLIB_LIBRARIES} )
-endif ( ZLIB_FOUND )
 
 include_directories(
 	${libgrive_SOURCE_DIR}/src
@@ -88,7 +82,6 @@
 	${Boost_REGEX_LIBRARY}
 	${Boost_SYSTEM_LIBRARY}
 	${IBERTY_LIBRARY}
-	${EXPAT_LIBRARY}
 	${OPT_LIBS}
 )

=== systemd/CMakeLists.txt ===
SET(GRIVE_SYNC_SH_BINARY "${CMAKE_INSTALL_PREFIX}/lib/grive/grive-sync.sh")

CONFIGURE_FILE(grive-changes@.service.in grive-changes@.service @ONLY)
CONFIGURE_FILE(grive-timer@.service.in grive-timer@.service @ONLY)

install(
  FILES
    ${CMAKE_BINARY_DIR}/systemd/grive-changes@.service
    ${CMAKE_BINARY_DIR}/systemd/grive-timer@.service
  DESTINATION
    lib/systemd/user
)

install(
  FILES
    grive-timer@.timer
  DESTINATION
    lib/systemd/user
)

install(
  PROGRAMS
    grive-sync.sh
  DESTINATION
    lib/grive
)

=== debian/changelog ===
grive2 (0.5.1-1~mx19+1) mx; urgency=medium

  * Disable binutils-2.34.patch for Buster build.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Oct 2022 13:39:59 -0700

grive2 (0.5.1-1~mx21+1) mx; urgency=medium

  * Import 0.5.1 release.
  * Bump to debhelper-compat (= 12) in d/control.
  * Add binutils-2.34.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Oct 2022 13:01:38 -0700

=== debian/control ===
Source: grive2
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: binutils-dev,
               cmake,
               debhelper-compat (= 12),
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-test-dev,
               libcppunit-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libgcrypt11-dev | libgcrypt20-dev,
               libyajl-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://yourcmc.ru/wiki/Grive2

Package: grive
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: open source Linux client for Google Drive
 .
 This is the up-to-date fork of the original "Grive"
 (https://github.com/Grive/grive)
 Google Drive client with the support for the new Drive REST API and partial
 sync.
 .
 For the first time running grive, you should use the "-a" argument to grant
 permission to grive to access to your Google Drive. An URL should be printed.
 Go to the page. You will need to login to your google account if you haven't
 done so. After granting the permission to grive, the browser will show you
 an authenication code. Copy-and-paste that to the standard input of grive.
 If everything works fine, grive will create .grive and .grive_state inside the
 synchronized directory. It will also start downloading files from your Google
 Drive to that directory.

## grive2 0.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(grive2)

include(GNUInstallDirs)

# Grive version. remember to update it for every new release!
set( GRIVE_VERSION "0.5.3" CACHE STRING "Grive version" )
message(WARNING "Version to build: ${GRIVE_VERSION}")

# common compile options
add_definitions( -DVERSION="${GRIVE_VERSION}" )
add_definitions( -D_FILE_OFFSET_BITS=64 -std=c++0x )
if ( APPLE )
	add_definitions( -Doff64_t=off_t )
endif ( APPLE )

find_program(
	HAVE_SYSTEMD systemd
	PATHS /lib/systemd /usr/lib/systemd
	NO_DEFAULT_PATH
)
if ( HAVE_SYSTEMD )
	add_subdirectory( systemd )
endif( HAVE_SYSTEMD )

add_subdirectory( libgrive )
add_subdirectory( grive )

=== grive/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,17 @@
 	grive
 )
 
+set(DEFAULT_APP_ID "615557989097-i93d4d1ojpen0m0dso18ldr6orjkidgf.apps.googleusercontent.com")
+set(DEFAULT_APP_SECRET "xiM8Apu_WuRRdheNelJcNtOD")
+set(APP_ID ${DEFAULT_APP_ID} CACHE STRING "Application Id")
+set(APP_SECRET ${DEFAULT_APP_SECRET} CACHE STRING "Application Secret")
+
+target_compile_definitions ( grive_executable
+	PRIVATE
+		-DAPP_ID="${APP_ID}"
+		-DAPP_SECRET="${APP_SECRET}"
+)
+
 set_target_properties( grive_executable
 	PROPERTIES OUTPUT_NAME grive
 )

=== libgrive/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 find_package(LibGcrypt REQUIRED)
 find_package(CURL REQUIRED)
+find_package(Backtrace)
 find_package(Boost 1.40.0 COMPONENTS program_options filesystem unit_test_framework regex system REQUIRED)
 find_package(BFD)
 find_package(CppUnit)
@@ -19,15 +20,15 @@
 	set( OPT_INCS		${CPPUNIT_INCLUDE_DIR} )
 ENDIF ( CPPUNIT_FOUND )
 
-# build bfd classes if libbfd is found
-if ( BFD_FOUND )
-	set( OPT_LIBS	${DL_LIBRARY} ${BFD_LIBRARY} )
+# build bfd classes if libbfd and the backtrace library is found
+if ( BFD_FOUND AND Backtrace_FOUND )
+	set( OPT_LIBS	${DL_LIBRARY} ${BFD_LIBRARY} ${Backtrace_LIBRARY} )
 	file( GLOB OPT_SRC
 		src/bfd/*.cc
 	)
 	add_definitions( -DHAVE_BFD )
 	
-endif ( BFD_FOUND )
+endif ( BFD_FOUND AND Backtrace_FOUND )
 
 if ( IBERTY_FOUND )
 	set( OPT_LIBS	${OPT_LIBS}	${IBERTY_LIBRARY} )

=== systemd/CMakeLists.txt ===
SET(GRIVE_SYNC_SH_BINARY "${CMAKE_INSTALL_FULL_LIBEXECDIR}/grive/grive-sync.sh")

CONFIGURE_FILE(grive-changes@.service.in grive-changes@.service @ONLY)
CONFIGURE_FILE(grive-timer@.service.in grive-timer@.service @ONLY)

install(
  FILES
    grive@.service
    ${CMAKE_BINARY_DIR}/systemd/grive-changes@.service
    ${CMAKE_BINARY_DIR}/systemd/grive-timer@.service
  DESTINATION
    lib/systemd/user
)

install(
  FILES
    grive-timer@.timer
  DESTINATION
    lib/systemd/user
)

install(
  PROGRAMS
    grive-sync.sh
  DESTINATION
    ${CMAKE_INSTALL_FULL_LIBEXECDIR}/grive
)

=== debian/changelog ===
grive2 (0.5.3-0.1~mx23) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Apr 2023 16:03:03 -0700

grive2 (0.5.3-0~mx21) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 17 Jan 2023 00:06:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
+XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+# XSBC-Original-Maintainer: Vitaliy Filippov <vitalif@mail.ru>
 Build-Depends: binutils-dev,
                cmake,
                debhelper-compat (= 12),
@@ -17,7 +18,7 @@
                libyajl-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: https://yourcmc.ru/wiki/Grive2
 
 Package: grive

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym
